/***************************************************************************
 *   Copyright (C) 2006 by André Lindhjem <belgarat@sdf.lonestar.org>,     *
 *                         Kjetil Holien <kjetil.holien@gmail.com>,        *
 *                         Terje Risa <terje.risa@gmail.com> &             *
 *                         Øyvind Nerbråten <oyvind@nerbraten.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *
 * \file common.h
 * \author André Lindhjem, Kjetil Holien, Terje Risa & Øyvind Nerbråten
 * \date 27.02.2006
 *
 * A file with common settings for daisyplayer.
 */

/**
 * Defines
 */
#define STRLEN 1024		/** default stringlength */

/** turns debugging on or off */
#define DEBUG_AAC 0
#define DEBUG_AUDIO 0
#define DEBUG_LIBAO 0
#define DEBUG_MP3 0
#define DEBUG_NCCPARSER 0
#define DEBUG_NCCSMILPARSER 0
#define DEBUG_NCCXHTML 0
#define DEBUG_NCXPARSER 0
#define DEBUG_NCXSMILPARSER 0
#define DEBUG_NCXXML 0
#define DEBUG_PARSETIME 0


/* TODO: Is this a dirty workaround? Should this be removed? */
#define true 1
#define false 0
#define bool int


/** Compile with or without AAC support? */
//#define WITH_AAC
